declare namespace tei="http://www.tei-c.org/ns/1.0";
let $docs := doc('/db/test/test.xml')
let $rdgs := for $rdg in $docs//tei:listWit//tei:witness/@xml:id return concat('#', $rdg)
let $pool := $docs//tei:p
let $query := 'text'

for $rdg in $rdgs
let $results := $pool[ft:query((.|.//tei:rdg[tokenize(string(@wit), '\s+') = $rdg]), $query)]
for $result in $results 
return <result wit="{$rdg}">{$result}</result>